<?xml version="1.0" encoding="UTF-8"?>
<!--
  Created by IntelliJ IDEA.
  User: Joss
  Date: 01/05/2020
  Time: 16:50
-->
<!DOCTYPE html
        PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">



<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core">

<h:head>
    <title>login</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous"/>
    <h:outputStylesheet library="default" name="css/login.css"  />
</h:head>

<h:body>
    <h1>Login</h1>

    <h:graphicImage width="250" height="250" value="img/logo.png"/>

    <h:form>

        <h:panelGrid columns="4" cellpadding="5">
            <f:facet name="header">Login</f:facet>
        <h:outputLabel value="Login" for="login"/>
        <h:inputText id="login" value="#{loginBean.login}"
                     requiredMessage="La saisie du champ est obligatoire !"/>
            <h:message for="login"  style="color: #FF0000"></h:message>
        <br/>

            <h:outputLabel value="Password" for="password"/>
        <h:inputText id="password" value="#{loginBean.password}"
                     requiredMessage="La saisie du champ est obligatoire !"
                     validator="#{loginBean.validPassword}" />
            <h:message for="password" style="color: #FF0000"></h:message>
        <br/>



            <f:facet name="footer">
                <h:commandButton action="#{loginBean.returnAction}" value="Connect" />
            </f:facet>
    </h:panelGrid>
    </h:form>
</h:body>

</html>